/****************************************************************
*
* Copyright (C) 2004 SignalQuest, Inc.
*
*----------------------------------------------------------------
* All software and related documentation is provided "AS IS" and 
* without warranty or support of any kind and SignalQuest 
* expressly disclaims all other warranties, express or implied, 
* including, but not limited to, the implied warranties of 
* merchantability and fitness for a particular purpose. Under no 
* circumstances shall SignalQuest be liable for any 
* incidental, special or consequential damages that result from 
* the use or inability to use the software or related 
* documentation, even if SignalQuest has been advised of 
* the liability.
*
* Unless otherwise stated, software written and copyrighted by 
* SignalQuest is distributed as "freeware". You may use 
* and modify this software without any charge or restriction. 
* You may distribute to others, as long as the original author 
* is acknowledged.
*
*****************************************************************
* 
* Project:  SignalQuest Serial Communications DLL Demo Program in C#
*
* File:    SQRS232Errors.h
*
* History:
*   Version 1.5 (2004-08-30)
*
****************************************************************/


// SQRS232Errors.h


// Ensure header is only included once per module
#ifndef _SQRS232ERRORS
#define _SQRS232ERRORS



// No error
#define ERROR_NO_ERROR							0

// General DLL errors
#define ERROR_OPEN_PORT_COM_STRING				-101
#define ERROR_OPEN_PORT_OPEN_PORT				-102
#define ERROR_CLOSE_PORT_COM_STRING				-103
#define ERROR_CLOSE_PORT_PORT_NOT_OPEN			-104
#define ERROR_GET_DATA_WAIT_OBJECT				-105
#define ERROR_GET_DATA_COM_STRING				-106
#define ERROR_GET_DATA_PORT_NOT_OPEN			-107
#define ERROR_GET_DATA_PORT_CLOSING				-108
#define ERROR_GET_DATA_PORT_OPENING				-109
#define ERROR_READ_PACKET_CHECKSUM				-110
#define ERROR_READ_PACKET_POST_MESSAGE			-111
#define ERROR_INVALID_USER_WINDOW_HANDLE		-112
#define ERROR_RESET_DEVICE_TIMEOUT				-113
#define ERROR_RESET_DEVICE_PORT_NOT_OPEN		-114
#define ERROR_RESET_DEVICE_COM_STRING			-115
#define ERROR_CLEAR_LATCHED_PORT_NOT_OPEN		-116
#define ERROR_FIND_DEVICE_NOT_FOUND				-117
#define ERROR_FIND_DEVICE_OPEN_PORT				-118
#define ERROR_CONFIG_PORT_NOT_OPEN				-119
#define ERROR_DLL_NOT_INITIALIZED				-120
#define ERROR_GET_CTS_STATUS_COM_STRING			-121
#define ERROR_GET_CTS_STATUS_PORT_NOT_OPEN		-122
#define ERROR_GET_DSR_STATUS_COM_STRING			-123
#define ERROR_GET_DSR_STATUS_PORT_NOT_OPEN		-124
#define ERROR_SET_DTR_STATUS_COM_STRING			-125
#define ERROR_SET_DTR_STATUS_PORT_NOT_OPEN		-126
#define ERROR_SET_RTS_STATUS_COM_STRING			-127
#define ERROR_SET_RTS_STATUS_PORT_NOT_OPEN		-128


// Success
#define ERROR_RS232_SUCCESS						0

// RS-232 warning error messages
#define ERROR_RS232_WARNING						-201
#define ERROR_RS232_FUNCTION_NOT_SUPPORTED		-202
#define ERROR_RS232_TIMEOUT						-203
#define ERROR_RS232_ILLEGAL_BAUD_RATE			-204
#define ERROR_RS232_ILLEGAL_PARITY_SETTING		-205
#define ERROR_RS232_ILLEGAL_WORD_LENGTH			-206
#define ERROR_RS232_ILLEGAL_STOP_BITS			-207
#define ERROR_RS232_ILLEGAL_LINE_NUMBER			-208
#define ERROR_RS232_NO_MODEM_RESPONSE			-209
#define ERROR_RS232_NO_TERMINATOR				-210
#define ERROR_RS232_DTR_NOT_SUPPORTED			-211
#define ERROR_RS232_RTS_NOT_SUPPORTED			-212
#define ERROR_RS232_RTS_CTS_NOT_SUPPORTED		-213
#define ERROR_RS232_DTR_DSR_NOT_SUPPORTED		-214
#define ERROR_RS232_XON_XOFF_NOT_SUPPORTED		-215
#define ERROR_RS232_NEXT_FREE_WARNING			-216


// Fatal error messages
#define ERROR_RS232_ERROR						-301
#define ERROR_RS232_IRQ_IN_USE					-302
#define ERROR_RS232_PORT_NOT_FOUND				-303
#define ERROR_RS232_PORT_IN_USE					-304
#define ERROR_RS232_ILLEGAL_IRQ					-305
#define ERROR_RS232_MEMORY_ALLOCATION_ERROR		-306
#define ERROR_RS232_NEXT_FREE_ERROR				-307



#endif
